
/*********************************************************

PROJECT FILE: main.agc
  by Steve Vink, September 2015
  Use permitted for all purposes, commercial and personal

	This Project is simply to demonstrate the use of the Encryption module
	Do not include this file in your project
	Include only encryption.agc

// Project: Encryption
// Created: 2015-09-04


**********************************************************/

#include "encryption.agc"

	// set window properties
	SetWindowTitle( "Encryption" )
	SetWindowSize( 1024, 768, 0 )

	// set display properties
	SetVirtualResolution( 1024, 768 )

	// The sync rate is set to zero to ensure encryption is as fast as possible
	SetSyncRate(0,0)

	//Load the font
	fnt = LoadImage("font.png")
	SetTextDefaultFontImage(fnt)

	txt = createText("Click here select a File")
	SetTextAlignment(txt,1)
	SetTextSize(txt,48)
	SetTextPosition(txt, GetVirtualWidth() / 2, GetVirtualHeight() / 2)

	//Loop until text clicked
	do
		if GetPointerReleased()
			if GetTextHitTest(txt, GetPointerX(), getpointerY())
				exit
			endif
		endif
		sync()
	loop

	//Select the fiel to encrypt
	file$ = ChooseRawFile("*.*")
	if GetFileExists(file$) = 0
		end
	endif

	//Get the encrypted file name
	newFile$ = GetStringToken(file$, "/", CountStringTokens(file$, "/")) + ".enc"
	encryptFile(file$, newFile$)
	lastFile$ = newFile$ +  "." + right(file$,3)
	decryptFile(newFile$, lastFile$)
	
	SetTextString(txt, "File " + newFile$ + " is encrypted" + chr(10) + "File " + lastFile$ + " is decrypted")
	sync()
	
	while GetPointerReleased() = 0 and GetRawKeyReleased(27) = 0
		Print( ScreenFPS() )
		Sync()
	endwhile
	
	end
