global hash1 as string
global hash2 as string
global hash3 as string

#constant cCODE = "aBc123!"

function encryptFile(inputFile as string, outputFile as string)

	// Load the file into a memblock
	mb = CreateMemblockFromFile(inputFile)
	
	//Create the memblock which we will encrypt it into
	mbMain = CreateMemblock(GetMemblockSize(mb) + 40)
	
	// Get the encryption code length
	codeLen = len(cCODE)

	// Write the hash code
	SetMemblockString(mbMain,0,sha1(getmemblockstring(mb,0,128) + cCODE))

	//loop through the bytes and encrypt them
	codeCounter = 0
	for n = 0 to GetMemblockSize(mb) - 1
		inc codeCounter, 1
		if codeCounter > codeLen then codeCounter = 1
		SetMemblockByte(mbMain, n + 40,GetMemblockByte(mb, n) ~~ val(mid(cCODE,codeCounter,1)))
	next n

	CreateFileFromMemblock(outputFile, mbMain)

endfunction


function decryptFile(inputFile as string, outputFile as string)

	success = 0
	
	// Load the file into a memblock
	mb = CreateMemblockFromFile(inputFile)
	
	//Create the memblock which we will encrypt it into
	mbMain = CreateMemblock(GetMemblockSize(mb) - 40)
	
	// Get the encryption code length
	codeLen = len(cCODE)

	//loop through the bytes and encrypt them
	codeCounter = 0
	for n = 40 to GetMemblockSize(mb) - 1
		inc codeCounter, 1
		if codeCounter > codeLen then codeCounter = 1
		SetMemblockByte(mbMain, n-40,GetMemblockByte(mb, n) ~~ val(mid(cCODE,codeCounter,1)))
	next n

	// Check the hash code
	hash$ = GetMemblockString(mb,0,40)
	hashed$ = GetMemblockString(mbMain,0,128)
	if hash$ <> sha1(hashed$ + cCODE)
		exitfunction success
	endif

	CreateFileFromMemblock(outputFile, mbMain)
	success = 1

endfunction success

